> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/documents/verification.md).

# Verification

## GET /api/Public/Verification/verify

> Verify verification

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Verification"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/Verification/verify":{"get":{"tags":["Verification"],"parameters":[{"name":"Id","in":"query","schema":{"type":"string"}},{"name":"X","in":"query","schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK"}},"summary":"Verify verification","operationId":"get_Verification_verify"}}}}
```

## GET /api/Public/Verification/resolve-legacy

> Resolve legacy

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Verification"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/Verification/resolve-legacy":{"get":{"tags":["Verification"],"parameters":[{"name":"id","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Resolve legacy","operationId":"get_Verification_resolve_legacy"}}}}
```
